org.gjt.sp.jedit.search

## Class HyperSearchResult

- java.lang.Object
- - org.gjt.sp.jedit.search.HyperSearchResult

All Implemented Interfaces:
  HyperSearchNode

    public class HyperSearchResult
    extends java.lang.Object
    implements HyperSearchNode

A set of occurrences of the search string on a given line in a buffer.

### Nested Class Summary

Nested Classes
`class` `HyperSearchResult.GotoDelayed`
`class` `HyperSearchResult.Occur`

### Field Summary

Fields
`Buffer` `buffer`
`int` `line`
`HyperSearchResult.Occur` `occur`
`int` `occurCount`
`java.lang.String` `path`
`java.lang.String` `str`

### Method Summary

Methods
`boolean` `equals(java.lang.Object compareObj)`
`Buffer` `getBuffer(View view)`
`Selection[]` `getSelection()` Returns an array of selection objects pointing to the occurrences of the search term on the current line.
`void` `goTo(EditPane editPane)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### path

    public java.lang.String path

#### buffer

    public Buffer buffer

#### line

    public int line

#### str

    public java.lang.String str

#### occur

    public HyperSearchResult.Occur occur

#### occurCount

    public int occurCount

### Method Detail

#### getBuffer

    public Buffer getBuffer(View view)

Specified by:
  `getBuffer` in interface `HyperSearchNode`

#### getSelection

    public Selection[] getSelection()

Returns an array of selection objects pointing to the occurrences of the search term on the current line. The buffer must be opened first.

Since:
  jEdit 4.2pre5

#### goTo

    public void goTo(EditPane editPane)

Specified by:
  `goTo` in interface `HyperSearchNode`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### equals

    public boolean equals(java.lang.Object compareObj)

Overrides:
  `equals` in class `java.lang.Object`